Description

The package https://dev.nceas.ucsb.edu/#view/urn:uuid:c7cda366-5658-4350-ba5a-8d2b84829f5d has one prov relationship
'urn:uuid:94cb9677-be83-4873-aa7c-6691e32229a3 http://www.w3.org/ns/prov#wasDerivedFrom
urn:uuid:146239cd-2f41-4312-8f90-75c8cad09a48'

From this prov relationship, the Solr index 'prov_hasDerivations' field for urn:uuid:146239cd-2f41-4312-8f90-75c8cad09a48 should
be set to urn:uuid:94cb9677-be83-4873-aa7¢c-6691e32229a3.
See https://dev.nceas.ucsb.edu/knb/d1/mn/vi/query/solr/?g=id:%22urn:uuid:146239cd-2f41-4312-8f90-75c8cad09a48%22

However, the prov_wasDerived from field (the reciprocal relationship) is set for the derivation:
https://dev.nceas.ucsb.edu/knb/d1/mn/vi/query/solr/?q=id:%22urn:uuid:94cb9677-be83-4873-aa7c-6691e32229a3%22

The problem may be related to the 'prov_hasDerivations' SPARQL query in
metacat-index/src/main/resources/application-context-prov-base.xmi:
<bean id="prov20150115.hasDerivations" class="org.dataone.cn.indexer.annotation.SparqlField">

SELECT (str(?pidValue) as ?pid) (str(?derivedDataPidValue) as ?prov_hasDerivations)
FROM <$GRAPH_NAME>

WHERE {

?derived_data prov:wasDerivedFrom ?source_data .

?source_data cito:documentedBy ?source_metadata .

?source_metadata dcterms:identifier ?pidValue .

?derived_data dcterms:identifier ?derivedDataPidValue .

}

Not sure why the 'source_metadata' is included in this query. Also, this query is not the
reciprocal of the 'prov_wasDerivedFrom' query:

&lt;bean id="prov20150115.wasDerivedFrom" class="org.dataone.cn.indexer.annotation.SparglField"&gt

7
SELECT (str(?pidvalue) as ?pid) (str(?wasDerivedFromValue) as ?prov_wasDerivedFrom

FROM <$GRAPH_NAME>

WHERE {
?derived_data prov:wasDerivedFrom ?primary_data .
?derived_data dcterms:identifier ?pidvalue .
?primary_data dcterms:identifier ?wasDerivedFromValue .

}
Note that this will also be a problem for the CN DataONE d1_cn_index_processor component.

The resource map for this package has been included.

History

#1 - 04/13/2017 03:22 PM - Jing Tao

- Target version set to 2.9.0

#2 - 04/20/2017 12:56 PM - Jing Tao
- Target version changed from 2.9.0 to 2.8.2

03/13/2024 12
#3 - 04/26/2017 03:45 PM - Jing Tao

- Status changed from New to Closed

The query was modified and it worked.
